Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007313TestLinkAPI - XMLRPCpublic2015-10-26 02:502016-09-08 15:12
Reporterfireaxe 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007313: API XMLRPC - possibility to set the step-test result
Descriptionin Execution Tests Result, the single test result can be set manually, but it cannot be set by API.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon api-exec-steps.png [^] (23,128 bytes) 2015-11-21 17:00

- Relationships
has duplicate 0006838closedfman API - method manage test steps EXECUTION STATUS and NOTES 
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024166)
fman (administrator)
2015-10-26 06:31

reportTCResult() need to be changed to allow a new parameter stepsResults
that will be an array with

step number, step execution result, step notes

if any invalid data exits, operation will be aborted
(0024291)
fman (administrator)
2015-11-21 16:59

See attached file for structure to pass exec at step level
(0024292)
fman (administrator)
2015-11-21 17:01

Please test
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/f8a25e414c33e93a5fcb6d1c2c1c68e1186b1cf1 [^]
(0024398)
fman (administrator)
2016-01-09 15:22

no more user feedback
(0025197)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2015-10-26 02:50 fireaxe New Issue
2015-10-26 06:31 fman Note Added: 0024166
2015-10-26 06:31 fman QA Team - Task Workflow Status => TBD
2015-10-26 06:31 fman Steps to Reproduce Updated View Revisions
2015-11-21 16:59 fman Note Added: 0024291
2015-11-21 17:00 fman File Added: api-exec-steps.png
2015-11-21 17:00 fman Summary need an API to set the step-test result => API XMLRPC - possibility to set the step-test result
2015-11-21 17:01 fman Note Added: 0024292
2015-11-21 17:01 fman Assigned To => fman
2015-11-21 17:01 fman Status new => feedback
2015-11-21 17:02 fman Relationship added child of 0007262
2016-01-09 15:22 fman Note Added: 0024398
2016-01-09 15:22 fman Status feedback => resolved
2016-01-09 15:22 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-01-09 15:22 fman Resolution open => fixed
2016-09-03 16:23 fman Relationship added has duplicate 0006838
2016-09-08 15:12 fman Note Added: 0025197
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker